View Issue Details

IDProjectCategoryView StatusLast Update
0011072ScribusStory Editor / Text Framespublic2012-11-13 20:33
Reportercezaryece Assigned Tocbradney  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionwon't fix 
Product Version1.5.0svn 
Fixed in Version1.5.0svn 
Summary0011072: [PATCH] unable to change language for hyphenation in doc prefs, automatic hyphenation does not working
Description1.
In Scribus prefs I have set Polish language as default for application and for hyphenator. But in new doc I got Afrikaner as language for hyphenation (just first item in combo list) and I even if I try to change it my setting is not saved. It cause wrong hyphenation of my text.
2.
Same with checkbox "Hyphenation Suggestions" which cannot be unchecked (to set automatic hyphenation).
Additional InformationBoth issues can be solved by applying attached simply patch.
TagsNo tags attached.
Patch

Activities

cezaryece

2012-09-17 08:06

updater  

hyphenation_doc_prefs.diff (1,605 bytes)   
diff --git a/Scribus/scribus/scribusdoc.cpp b/Scribus/scribus/scribusdoc.cpp
index 982ec38..27ec0c8 100644
--- a/Scribus/scribus/scribusdoc.cpp
+++ b/Scribus/scribus/scribusdoc.cpp
@@ -15598,7 +15598,7 @@ void ScribusDoc::setNewPrefs(const ApplicationPrefs& prefsData, const Applicatio
 */
 
 	docHyphenator->slotNewSettings(docPrefsData.hyphPrefs.MinWordLen,
-											!docPrefsData.hyphPrefs.Automatic,
+											docPrefsData.hyphPrefs.Automatic,
 											docPrefsData.hyphPrefs.AutoCheck,
 											docPrefsData.hyphPrefs.HyCount);
 	docHyphenator->ignoredWords = docPrefsData.hyphPrefs.ignoredWords;
diff --git a/Scribus/scribus/ui/prefs_hyphenator.cpp b/Scribus/scribus/ui/prefs_hyphenator.cpp
index bf63f82..c71e4cd 100644
--- a/Scribus/scribus/ui/prefs_hyphenator.cpp
+++ b/Scribus/scribus/ui/prefs_hyphenator.cpp
@@ -72,7 +72,7 @@ void Prefs_Hyphenator::saveGuiToPrefs(struct ApplicationPrefs *prefsData) const
 	prefsData->hyphPrefs.MinWordLen = smallestWordSpinBox->value();
 	 //FIXME: remove this ScCore call
 	QString langFromCombo(ScCore->primaryMainWindow()->GetLang(hyphLanguageComboBox->itemData(hyphLanguageComboBox->currentIndex()).toString()));
-	prefsData->hyphPrefs.Language = LanguageManager::instance()->getAbbrevFromLang(langFromCombo, true, false);
+	prefsData->hyphPrefs.Language = LanguageManager::instance()->getAbbrevFromLang(langFromCombo, false, false);
 	prefsData->hyphPrefs.Automatic = !hyphSuggestionsCheckBox->isChecked();
 	prefsData->hyphPrefs.AutoCheck = hyphAutoCheckBox->isChecked();
 	prefsData->hyphPrefs.HyCount = maxConsecutiveCountSpinBox->value();
hyphenation_doc_prefs.diff (1,605 bytes)   

cbradney

2012-09-17 18:00

administrator   ~0028934

I am rewriting all of this anyway for 1.5.0, so setting this to won't fix.

ale

2012-09-18 11:58

manager   ~0028936

for 1.5.0?
mmm... wasn't 1.5.0 due before september?

i think that, if we want to avoid getting into a never ending release cycle again, it may be time to discuss about the goals for 1.6 and the needed steps to get there...

Issue History

Date Modified Username Field Change
2012-09-17 08:06 cezaryece New Issue
2012-09-17 08:06 cezaryece File Added: hyphenation_doc_prefs.diff
2012-09-17 11:34 ale Summary [bug] unable to change language for hyphenation in doc prefs, automatic hyphenation does not working => [PATCH] unable to change language for hyphenation in doc prefs, automatic hyphenation does not working
2012-09-17 18:00 cbradney Note Added: 0028934
2012-09-17 18:00 cbradney Status new => resolved
2012-09-17 18:00 cbradney Resolution open => won't fix
2012-09-17 18:00 cbradney Assigned To => cbradney
2012-09-18 11:58 ale Note Added: 0028936
2012-11-13 20:33 cbradney Status resolved => closed
2012-11-13 20:33 cbradney Fixed in Version => 1.5.0svn
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames